Tripo P2 Image to 3D
इंटीग्रेट करें
tripo3d/p2/image-to-3d
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/tripo3d/p2/image-to-3d?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/tripo3d/p2/image-to-3d?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/tripo3d/p2/image-to-3d", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/hi/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "tripo3d/p2/image-to-3d",
"input": {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}
Tripo P2 Image to 3D मॉडल (tripo3d/p2/image-to-3d) को Doitong API के ज़रिए कॉल करें। एजेंट के लिए दस्तावेज़: https://doitong.com/hi/developers/models/tripo3d/p2/image-to-3d.md
POST https://api.doitong.ru/v1/run/tripo3d/p2/image-to-3d?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
यदि रिस्पॉन्स स्टेटस "queued" या "running" है, तो GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20 को तब तक पोल करें जब तक यह "succeeded" न हो जाए; फ़ाइलें outputs[].url में हैं। उसी बॉडी के साथ POST https://api.doitong.ru/v1/quote/tripo3d/p2/image-to-3d चलाने से रन से पहले सटीक कीमत मिलती है।
उदाहरण जैसी फ़ाइलें: $1.10 1,100 API क्रेडिट · ≈ ₽118.34 चलाने से पहले आपकी फ़ाइलों को मापा जाता है इसे इस पेज पर चलाएँ
आपकी नई API कुंजी। यह केवल अभी दिखाया गया है और कोड तथा नीचे दिए गए API कुंजी फ़ील्ड में पहले से मौजूद है। इसे गुप्त रखें: इसे कभी भी ब्राउज़र में चलने वाले कोड में न डालें।
आपका पहला परिणाम यहाँ आएगा
नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।
अनुरोध बनाएँ
कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।
/run/tripo3d/p2/image-to-3d?wait=20
कोटेशन → $1.10
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/tripo3d/p2/image-to-3d?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/tripo3d/p2/image-to-3d?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/tripo3d/p2/image-to-3d", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "tripo3d/p2/image-to-3d",
"input": {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
},
"wait_seconds": 20
}
}
}
यह अनुरोध चलाएँ
आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें
Tripo P2 Image to 3D के बारे में
`image_url` से एक इमेज को अधिकतम 50,000 फ़ेस वाले 3D मॉडल में बदलता है (क्वाड मेश के लिए 25,000)। टेक्सचर क्वालिटी fast, standard, detailed या extreme हो सकती है, और `texture_version` टेक्सचर मॉडल चुनता है। अन्य विकल्प PBR मैप, डिलाइटिंग, UV एक्सपोर्ट, ऑटो-साइज़िंग और एक्सपोर्ट फ़ॉरवर्ड अक्ष (`export_orientation`) को नियंत्रित करते हैं। अलग-अलग सीड ज्योमेट्री और टेक्सचर नियंत्रित करते हैं।
पैरामीटर
कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम
image_urlआवश्यक
image
face_limitवैकल्पिक
textureवैकल्पिक
pbrवैकल्पिक
model_seedवैकल्पिक
texture_seedवैकल्पिक
texture_qualityवैकल्पिक
texture_versionवैकल्पिक
delightवैकल्पिक
auto_sizeवैकल्पिक
export_uvवैकल्पिक
export_orientationवैकल्पिक
quadवैकल्पिक
enable_safety_checkerवैकल्पिक
फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें
आउटपुट
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "tripo3d/p2/image-to-3d",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 1100,
"usd": "1.10",
"charged": 1100,
"refunded": 0
},
"input": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
},
"output": {
"model_mesh": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"model_urls": {
"glb": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"fbx": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"base_model": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"pbr_model": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
}
},
"rendered_image": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"task_id": "string"
},
"outputs": [
{
"type": "file",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
आउटपुट के फ़ील्ड
- model_mesh
- object {url, content_type, file_name, file_size}निर्मित 3D मॉडल वाली GLB या FBX फ़ाइल; फ़ॉर्मैट Tripo द्वारा निर्मित फ़ॉर्मैट पर निर्भर करता है।
- model_urls
- object {glb, fbx, base_model, pbr_model}3D मॉडल के वैकल्पिक संस्करणों की ओर संकेत करने वाले URL।
- rendered_image
- object {url, content_type, file_name, file_size} | nullनिर्मित 3D मॉडल दिखाने वाला rendered preview।
- task_id
- string | nullनिर्मित मॉडल की पहचान करने वाला पुनः उपयोग योग्य Tripo task ID, जिससे किसी अन्य मॉडल upload के बिना rig या rig-check ऑपरेशन किए जा सकते हैं।
अन्य Tripo P2 वेरिएंट
और मॉडल: इमेज से 3D
AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/tripo3d/p2/image-to-3d.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt